package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[微信企业应用类型]
 */
@Component("ionicdemo_WXEntAppTypeCodeList")
public class WXEntAppTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_WXEntAppType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("H5");
		item0.setId("H5");
		item0.setText("H5主页型");
		item0.setLabel("H5主页型");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("H5",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("MSG");
		item1.setId("MSG");
		item1.setText("消息响应型");
		item1.setLabel("消息响应型");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("MSG",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}